%define uname   allegro
%define major   4.4
%define libname %mklibname %{uname} %{major}
%define	devname %mklibname %{uname}4 -d
%define	testlib %mklibname %{uname}-testing %{major}

Name:           allegro4
Version:        4.4.2
Release:        %mkrel 10
Summary:        Game programming library
Group:          System/Libraries
License:        Public Domain
URL:            http://alleg.sourceforge.net/
Source0:        http://downloads.sourceforge.net/alleg/allegro/%{uname}-%{version}.tar.gz
Patch1:         allegro-4.0.3-cfg.patch
Patch2:         allegro-4.0.3-libdir.patch
Patch3:         allegro-4.4.2-format_not_a_string_literal_and_no_format_arguments.patch
Patch4:         allegro-4.4.2-dynamic-addons.patch
Patch5:         allegro-4.4.2-doc-install.patch
Patch6:         allegro-4.4.2-buildsys-fix.patch
Patch7:         allegro-4.4.2-mageia-build_against_mesa_10.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(audiofile)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  texinfo
%ifarch %ix86
BuildRequires:  svgalib-devel
%endif
Obsoletes:      allegro-testing < 4.4.2-9
Provides:       allegro-testing = %{version}-%{release}
Obsoletes:      allegro-arts-plugin < 4.4.2-9
# Renamed to allegro4 during mga6 dev
Obsoletes:      allegro < 4.4.2-9
Provides:       allegro = %{version}-%{release}

%description
Allegro is a library of functions for use in computer games

%package -n %{libname}
Summary:        Game programming library
Group:          System/Libraries
Provides:       lib%{uname} = %{version}-%{release}
Provides:       %{testlib} = %{version}-%{release}
Obsoletes:      %{testlib} < 4.4.2-9
Recommends:     %{name} >= %{version}

%description -n %{libname}
Allegro is a library of functions for use in computer games

%package -n %{devname}
Summary:        Game programming library
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       lib%{uname}-devel = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}
Provides:       %{uname}4-devel = %{version}-%{release}
Provides:       %{testlib}-devel = %{version}-%{release}
Obsoletes:      allegro-devel < 4.4.2-9
Obsoletes:      %{testlib}-devel < 4.4.2-9
Obsoletes:      %{_lib}allegro4.2-devel < 4.4.2-9

%description -n %{devname}
Allegro is a library of functions for use in computer games.
This package contains files needed to build programs using Allegro.

%package jack-plugin
Summary:        Allegro JACK (Jack Audio Connection Kit) plugin
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
# Renamed to allegro4 during mga6 dev
Obsoletes:      allegro-jack-plugin < 4.4.2-9
Provides:       allegro-jack-plugin = %{version}-%{release}

%description jack-plugin
This package contains a plugin for Allegro which enables Allegro to playback
sound through JACK (Jack Audio Connection Kit).

%prep
%autosetup -p1 -n %{uname}-%{version}

iconv -f iso-8859-1 -t utf-8 docs/src/allegro._tx > docs/src/allegro._tx.tmp
mv docs/src/allegro._tx.tmp docs/src/allegro._tx

%build
%define _disable_ld_no_undefined 1
%ifnarch ix86
export CFLAGS="%{optflags} -fPIC"
%endif

%cmake
%make_build

find demos examples setup -type f -perm +111 -print | xargs rm -rf

%install
%make_install -C build

# (from fedora) installation of these is broken, because they use a cmake GLOB, but
# that gets "resolved" when runnning cmake, and at that time the files
# to install aren't generated yet ...
install -d -m 755 %{buildroot}%{_mandir}/man3
install -D -m 644 build/docs/man/*3* %{buildroot}%{_mandir}/man3
install -d -m 755 %{buildroot}%{_infodir}
install -D -m 644 allegro.cfg %{buildroot}%{_sysconfdir}/allegrorc
install -d -m 755 %{buildroot}%{_datadir}/allegro
install -D -m 644 keyboard.dat language.dat %{buildroot}%{_datadir}/allegro

rm -rf %{buildroot}/usr/doc

%post -n %{devname}
%_install_info %{name}.info

%preun -n %{devname}
%_remove_install_info %{name}.info

%files
%doc %{_docdir}/%{uname}-%{version}/*
%{_bindir}/colormap
%{_bindir}/dat
%{_bindir}/dat2c
%{_bindir}/dat2s
%{_bindir}/exedat
%{_bindir}/grabber
%{_bindir}/pack
%{_bindir}/pat2dat
%{_bindir}/rgbmap
%{_bindir}/textconv
%{_datadir}/%{uname}/
%{_libdir}/%{uname}/
%exclude %{_libdir}/%{uname}/%{version}/alleg-jack.so
%config(noreplace) %{_sysconfdir}/allegrorc

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{devname}
%doc *.txt AUTHORS CHANGES THANKS
%doc docs/txt/abi.txt docs/txt/ahack.txt docs/txt/allegro.txt
%doc docs/txt/const.txt docs/txt/faq.txt docs/txt/help.txt
%doc docs/html
%doc demos examples setup
%{_bindir}/%{uname}-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%{_includedir}/%{uname}/
%{_includedir}/%{uname}gl/
%{_mandir}/man3/*.3*
%{_infodir}/%{uname}.info*

%files jack-plugin
%{_libdir}/%{uname}/%{version}/alleg-jack.so


%changelog
* Mon Mar 13 2017 akien <akien> 4.4.2-10.mga6
+ Revision: 1092262
- Fix name of devel package
- Explicitly provide allegro4-devel

* Sun Mar 12 2017 akien <akien> 4.4.2-9.mga6
+ Revision: 1092213
- Rename to allegro4, allegro will become the 5.x branch
- Copy allegro to allegro4 before moving the main branch to 5.x

* Fri Mar 25 2016 pterjan <pterjan> 4.4.2-8.mga6
+ Revision: 995538
- Fix release

* Fri Mar 25 2016 pterjan <pterjan> 4.4.2-7.mga6.mga6
+ Revision: 995520
- Small macros cleanup, that may be why it did not go through mass rebuild

* Thu Sep 10 2015 ovitters <ovitters> 4.4.2-6.mga6
+ Revision: 875660
+ rebuild (emptylog)

* Wed Nov 12 2014 akien <akien> 4.4.2-6.mga5
+ Revision: 796582
- Build alsa module

* Sat Sep 27 2014 tv <tv> 4.4.2-5.mga5
+ Revision: 725936
- rebuild for missing pythoneggs deps

* Mon Sep 15 2014 tv <tv> 4.4.2-4.mga5
+ Revision: 675553
- s/uggests:/Recommends:/

* Tue Dec 10 2013 zezinho <zezinho> 4.4.2-4.mga4
+ Revision: 556200
- fix build against mesa 10

  + dams <dams>
    - clean specfile

* Wed Jul 24 2013 zezinho <zezinho> 4.4.2-3.mga4
+ Revision: 457825
- patches synced with fedora to enable loabpng, logg, jpgalleg libs #10616

* Fri Jan 11 2013 umeabot <umeabot> 4.4.2-2.mga3
+ Revision: 345511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 17 2011 fwang <fwang> 4.4.2-1.mga2
+ Revision: 134222
- new version 4.4.2

* Sat Feb 26 2011 alien <alien> 4.4.1.1-4.mga1
+ Revision: 61036
- Remove BuildRoot
- Remove old macros
- imported package allegro

